org.springframework.cloud.dataflow.rest.job

## Class TaskJobExecution

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.job.TaskJobExecution

-     public class TaskJobExecution
      extends Object

  The relation a `JobExecution` has with its associated task execution id.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskJobExecution(long taskId, org.springframework.batch.core.JobExecution jobExecution, boolean isTaskDefined)`
    `TaskJobExecution(long taskId, org.springframework.batch.core.JobExecution jobExecution, boolean isTaskDefined, int stepExecutionCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.batch.core.JobExecution` | `getJobExecution()`
    `int` | `getStepExecutionCount()` The number of steps executions contained in the job execution.
    `long` | `getTaskId()`
    `boolean` | `isTaskDefined()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskJobExecution

          public TaskJobExecution(long taskId,
                                  org.springframework.batch.core.JobExecution jobExecution,
                                  boolean isTaskDefined)

    - #### TaskJobExecution

          public TaskJobExecution(long taskId,
                                  org.springframework.batch.core.JobExecution jobExecution,
                                  boolean isTaskDefined,
                                  int stepExecutionCount)

  - ### Method Detail

    - #### getTaskId

          public long getTaskId()

      Returns:
        the Task Id that is associated with the `JobExecution`.

    - #### getJobExecution

          public org.springframework.batch.core.JobExecution getJobExecution()

      Returns:
        the `JobExecution` that is associated with the task id.

    - #### isTaskDefined

          public boolean isTaskDefined()

      Returns:
        true if the Task Definition for the task id exists in the task repository else returns false.

    - #### getStepExecutionCount

          public int getStepExecutionCount()

      The number of steps executions contained in the job execution.
      Returns:
        int containing the number of step executions.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.